
<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss('N')"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="container-fluid">
    <div class="form-row">
      <div class="form-group col-6">
        <h5 class="font-weight-bold mr-4">[ {{ tVentaModal.Codventa }} ] - {{ tVentaModal.Tipo }}<span class="badge badge-info ml-4">{{ tVentaModal.Estatus }}</span></h5>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-6">
        <label class="form-label h6">Cliente</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">[ {{ tVentaModal.Codcliente }} ] - {{ tVentaModal.Descripcion }}  </label>
        </div>
      </div>
      <div class="form-group col-6">
        <label class="form-label h6">Documento</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-passport"></i></span></div>
          <label class="ControlInput--Label" size-label="sm"> {{ tVentaModal.Documento }}  </label>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <ul class="nav nav-tabs" role="tablist" id="divOpciones">
          <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Pagos" role="tab" aria-controls="Pagos" aria-selected="true" id="Pagos-tab">Pagos                 </a></li>
        </ul>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="tab-content" id="mvDatos">
          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Pagos-tab" id="Pagos">
            <div class="form-row">
              <div class="form-group col-12">
                <div class="table-responsive">
                  <table class="table table-sm table-striped table-hover">
                    <thead>
                      <tr>
                        <th></th>
                        <th>
                          <h6 class="font-weight-bold">Codigo</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Forma pago</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Monto</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Estatus</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Referencia</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Tasa</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Observacion</h6>
                        </th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let tFormaPago of tVFormapagos | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index">
                        <th>
                          <button class="btn btn-sm btn-primary mr-1" type="button" title="Ver" (click)="AbrirReporte(tFormaPago)"><i class="fas fa-eye"></i></button>
                          <button class="btn btn-sm btn-danger mr-1" type="button" title="Rechazar" *ngIf="tFormaPago.Estatus == 'PENDIENTE' &amp;&amp;  (tVentaModal.Estatus == 'ACTIVO' || tVentaModal.Estatus == 'PENDIENTE')" (click)="RechazarFormaPago(tFormaPago)"><i class="fas fa-times"></i></button>
                          <button class="btn btn-sm btn-success mr-1" type="button" title="Aprobar" *ngIf="tFormaPago.Estatus == 'PENDIENTE' &amp;&amp;  (tVentaModal.Estatus == 'ACTIVO' || tVentaModal.Estatus == 'PENDIENTE')" (click)="AprobarFormaPago(tFormaPago)"><i class="fas fa-check">   </i></button>
                        </th>
                        <td>
                          <h6>{{ tFormaPago.Codformapago }}</h6>
                        </td>
                        <td>
                          <h6>{{ tFormaPago.Descripcion }}</h6>
                        </td>
                        <td>
                          <h6>{{ tFormaPago.Monto | currency : tEmpresaActual.Simbolo }}</h6>
                        </td>
                        <td>
                          <h6>{{ tFormaPago.Estatus }}</h6>
                        </td>
                        <td>
                          <h6>{{ tFormaPago.FormaPagoReferencia.Referencia }} </h6>
                        </td>
                        <td>
                          <h6>{{ tFormaPago.FormaPagoTasa.Monto | currency : tEmpresaActual.Simbolo }}       </h6>
                        </td>
                        <td>
                          <h6>{{ tFormaPago.Observacion }}</h6>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tVFormapagos.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag"></ngb-pagination>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row d-flex justify-content-end">
      <div class="form-group col-12 col-lg-3 offset-lg-6">
        <div class="card border-left-danger shadow-sm h-100">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="font-weight-bold text-danger mb-1">Total pagado</div>
                <div class="h6 mb-0 text-gray-800">{{ tVentaModal.Pagado | currency : tEmpresaActual.Simbolo }}</div>
              </div>
              <div class="col-auto">
                <div class="fas fa-coins fa-2x text-gray-300"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-3">
        <div class="card border-left-success shadow-sm h-100">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="font-weight-bold text-success mb-1">Total venta</div>
                <div class="h6 mb-0 text-gray-800">{{ tVentaModal.Total | currency : tEmpresaActual.Simbolo }}</div>
              </div>
              <div class="col-auto">
                <div class="fas fa-coins fa-2x text-gray-300">                                                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button class="btn btn-secondary mr-2 ml-2" type="button" (click)="activeModal.close('N')">Cerrar </button>
</div>